Bug 117802 - Install disks rescue mode should offer quick bootloader repair
Install disks rescue mode should offer quick bootloader repair
Status: CLOSED DEFERRED
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-08 14:07 EST by Rick Wagner
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-14 17:11:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rick Wagner 2004-03-08 14:07:57 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6) Gecko/20040130

Description of problem:
My experience, and talking with others, one of the hardest rescue
operations is repairing a non-booting system.  

After a recent non-booting situation, I had to resolve by re-upgrading
FC-1 on top of a just upgraded FC-1 (a procedure which eventually
worked, but had other problems).

The rescue mode offers a command prompt, and access to GRUB commands,
but no rescue operation; just poking and proding with GRUB commands
(which never solved the problem for me).

Better would be a bootloader repair tool (and ideally a suite of tools
to fix common problems) offered in rescue mode.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
Go into rescure mode, try to learn about GRUB from scratch, and repair
a broken boot.

Actual Results:  In my case it failed.

Expected Results:  Would hope to run a repair tool, which which after
a few Q & A, would fix my unbootable system.

Additional info:
Comment 1 Ed Bailey 2004-03-11 14:35:43 EST
Changing the component, as this has nothing to do with fedora-release...

Note You need to log in before you can comment on or make changes to this bug.